summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHelio Chissini de Castro <helio.castro@bmw-carit.de>2016-03-11 15:24:44 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-03-12 22:11:48 +0000
commit681a45200a3d48173918e8dc880ef1be293ac9c7 (patch)
treeb2e53921789c75b8c67ec2a0c92dc303d12e387f
parent15c5b2afcb25d0a92b90fdf403c7361147de8a2c (diff)
downloadopenembedded-core-contrib-681a45200a3d48173918e8dc880ef1be293ac9c7.tar.gz
openembedded-core-contrib-681a45200a3d48173918e8dc880ef1be293ac9c7.tar.bz2
openembedded-core-contrib-681a45200a3d48173918e8dc880ef1be293ac9c7.zip
gcc: Fix the license on GNU OpenMP
Poky jethro has libgomp ( GNU OpenMP ) license marked as GPL-3.0, where's in fact the correct is GPL-3.0 with GCC Library Runtime Exception As stated on https://github.com/gcc-mirror/gcc/blob/master/libgomp/libgomp.h header license: ... Under Section 7 of GPL version 3, you are granted additional permissions described in the GCC Runtime Library Exception, version 3.1, as published by the Free Software Foundation. ... (From OE-Core rev: 07db569a91e2aa8456624b340830c0e027cc6ead) Signed-off-by: Helio Chissini de Castro <helio.castro@bmw-carit.de> Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/recipes-devtools/gcc/gcc-runtime.inc36
1 files changed, 4 insertions, 32 deletions
diff --git a/meta/recipes-devtools/gcc/gcc-runtime.inc b/meta/recipes-devtools/gcc/gcc-runtime.inc
index d4cfe08052..572396d693 100644
--- a/meta/recipes-devtools/gcc/gcc-runtime.inc
+++ b/meta/recipes-devtools/gcc/gcc-runtime.inc
@@ -109,38 +109,10 @@ PACKAGES = "\
libitm-staticdev \
"
-# Most libraries are licensed with the exception, but
-# one library is really GPLv3.
-#
-LICENSE_${PN}-dbg = "GPL-3.0-with-GCC-exception & GPLv3"
-LICENSE_libstdc++ = "GPL-3.0-with-GCC-exception"
-LICENSE_libstdc++-precompile-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libstdc++-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libstdc++-staticdev = "GPL-3.0-with-GCC-exception"
-LICENSE_libg2c = "GPL-3.0-with-GCC-exception"
-LICENSE_libg2c-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libssp = "GPL-3.0-with-GCC-exception"
-LICENSE_libssp-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libssp-staticdev = "GPL-3.0-with-GCC-exception"
-LICENSE_libgfortran = "GPL-3.0-with-GCC-exception"
-LICENSE_libgfortran-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libgfortran-staticdev = "GPL-3.0-with-GCC-exception"
-LICENSE_libmudflap = "GPL-3.0-with-GCC-exception"
-LICENSE_libmudflap-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libmudflap-staticdev = "GPL-3.0-with-GCC-exception"
-LICENSE_libquadmath = "GPL-3.0-with-GCC-exception"
-LICENSE_libquadmath-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libquadmath-staticdev = "GPL-3.0-with-GCC-exception"
-LICENSE_libatomic = "GPL-3.0-with-GCC-exception"
-LICENSE_libatomic-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libatomic-staticdev = "GPL-3.0-with-GCC-exception"
-LICENSE_libitm = "GPL-3.0-with-GCC-exception"
-LICENSE_libitm-dev = "GPL-3.0-with-GCC-exception"
-LICENSE_libitm-staticdev = "GPL-3.0-with-GCC-exception"
-
-LICENSE_libgomp = "GPLv3"
-LICENSE_libgomp-dev = "GPLv3"
-LICENSE_libgomp-staticdev = "GPLv3"
+LICENSE_${PN}-dbg = "GPL-3.0-with-GCC-exception"
+LICENSE_${PN} = "GPL-3.0-with-GCC-exception"
+LICENSE_${PN}-dev = "GPL-3.0-with-GCC-exception"
+LICENSE_${PN}-staticdev = "GPL-3.0-with-GCC-exception"
# The base package doesn't exist, so we clear the recommends.
RRECOMMENDS_${PN}-dbg = ""